server {
  listen 80;
  server_name _;

  root /usr/share/nginx/html;
  index index.html;

  location = /ethan {
    return 301 $scheme://$http_host/ethan/;
  }

  location /ethan/ {
    try_files $uri $uri/ /ethan/index.html;
  }

  location / {
    try_files $uri $uri/ /index.html;
  }
}
